# compilateur-l
compilateur-l est un compilateur pour le language l

## Install and Lauch
### Download & Compile
```
git clone https://github.com/Xawirses/compilateur-l.git
make
```

### Configure & Launch
compilateur-l usage :
```
Usage: 
  compilateur-l [flags] file

Flags:
  -l : lexical
  -s : syntaxyque
  -a : abstrait
  -t : table (dictionnaire)
  -m : mips


No flag execute -m flags
```

Developped by Michael GILETA & Sylvain DE BARROS